namespace Application.Features.Api.Crypto.Market.GetAll;

public sealed record Response(IReadOnlyList<Response.MarketItem> Markets)
{
    public sealed record MarketItem(
        string Market,
        string KoreanName,
        string EnglishName,
        MarketEvent MarketEvent
    );

    public sealed record MarketEvent(
        bool Warning,
        MarketCaution Caution
    );

    public sealed record MarketCaution(
        bool PriceFluctuations,
        bool TradingVolumeSoaring,
        bool DepositAmountSoaring,
        bool GlobalPriceDifferences,
        bool ConcentrationOfSmallAccounts
    );
}